<?php  
add_shortcode('wp_eis', 'wp_eis_shortcode');
function wp_eis_shortcode($att, $content) {
	$att = shortcode_atts(
		array(
			'id'	  => '1',
			'content' => !empty($content) ?  $content : ''
		)
		, $att);
	extract($att);
	$ID_name = $id;

	if($ID_name) {
		global $wpdb;

		$get_eis = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}eis_name WHERE ID_name = {$ID_name}");
		$get_eis = $get_eis[0];
		$get_eis_items = $wpdb->get_results("SELECT * FROM {$wpdb->prefix}eis_items WHERE ID_name = {$ID_name}");


		// Order By Order 
		$new_get_eis_items = array();
		foreach ($get_eis_items as $key => $value) {
			if( empty($value->order) || $value->order == 0 ) { 
				$new_key = $value->order = $value->ID; 
			} else {
				$new_key = $value->order;
			}
			$new_get_eis_items[$new_key] = $value;
		}
		if( !function_exists('sort_by_id') ) {
			function sort_by_id($a, $b){
			    if ( $a->order < $b->order ) return -1;
			    if ( $a->order > $b->order ) return 1;
			    return 0; // equality
			}
			uasort($new_get_eis_items, 'sort_by_id');
		}
		
		$output  = '<h1>'.$content.'</h1>'."\n";
        $output .= '<div class="eis-wrapper">'."\n";
        $output .= '<div id="'.str_replace("_", "-", $get_eis->name).'" class="ei-slider">'."\n";
        $output .= '<ul class="ei-slider-large">'."\n";

        // EIS Large Images 
        if ( count($new_get_eis_items) > 0) {
        	foreach ($new_get_eis_items as $get_eis_item) {
        		$path_info = pathinfo($get_eis_item->image);
        		$output .= '<li>'."\n";
					$output .= '<img src="'.$get_eis_item->image.'" alt="'.$path_info['filename'].'"/>'."\n";
		            $output .= '<div class="ei-title">'."\n";
		                $output .= '<h2>'.$get_eis_item->title_h2.'</h2>'."\n";
		                $output .= '<h3>'.$get_eis_item->title_h3.'</h3>'."\n";
		            $output .= '</div>'."\n";
		        $output .= '</li>'."\n";
        	}
        }
		
        $output .= '</ul><!-- ei-slider-large -->'."\n";
       	$output .= '<ul class="ei-slider-thumbs">'."\n";
       	$output .= '<li class="ei-slider-element">Current</li>'."\n";

       	// EIS Thumbnails 
       	if ( count($new_get_eis_items) > 0 ) {
       		$path_info = pathinfo($get_eis_item->thumbnail);
       		foreach ($new_get_eis_items as $get_eis_item) {
				$output .= '<li><a href="#">'.$path_info['filename'].'</a><img src="'.$get_eis_item->thumbnail.'" alt="'.$path_info['filename'].'" /></li>'."\n";
       		}
       	}

		$output .= '</ul><!-- ei-slider-thumbs -->'."\n";
		$output .= '</div><!-- ei-slider -->'."\n";
		$output .= '</div><!-- eis-wrapper -->'."\n";

		// EIS Settings Options 
		$options = get_option('wp_eis_settings');
		$output .= '<style>';
			$output .= ( isset($options['eis_h2_size']) && !empty($options['eis_h2_size']) ) ? 
						'.ei-title h2 {font-size: '.$options['eis_h2_size'].'px !important; color: '.$options['eis_h2_color'].'  !important;}'."\n" :
						'';
			$output .= ( isset($options['eis_h3_size']) && !empty($options['eis_h3_size']) ) ? 
						'.ei-title h3 {font-size: '.$options['eis_h3_size'].'px !important; color: '.$options['eis_h3_color'].'  !important;}'."\n" :
						'';
			$output .= ( isset($options['eis_a_color']) && !empty($options['eis_a_color']) ) ? 
						'.ei-slider-thumbs li a {background-color: '.$options['eis_a_color'].'  !important;}'."\n" :
						'';
			$output .= ( isset($options['eis_a_hover_color']) && !empty($options['eis_a_hover_color']) ) ? 
						'.ei-slider-thumbs li a:hover {background-color: '.$options['eis_a_hover_color'].'  !important;}'."\n" :
						'';
		$output .= '</style>';
	}

	
	wp_enqueue_style('wp-eis-init', WP_EIS_URL.'css/wp-eis-init.css');

	wp_enqueue_script('wp-eis-slideshow',  WP_EIS_URL.'js/jquery-eislideshow.js', array('jquery') );
	wp_enqueue_script('wp-eis-easing',  WP_EIS_URL.'js/jquery-easing.1.3.js', array('jquery') );
	
	// EIS JS Settings	
	$output .= '<script type=text/javascript>';
        $output .= 'jQuery(function(jQuery) {'."\n";
            $output .= "jQuery('#".str_replace("_", "-", $get_eis->name)."').eislideshow({"."\n";
        	
        	$output .= ( isset( $get_eis->animation ) && !empty( $get_eis->animation ) ) ? 						"animation: '".$get_eis->animation."',\n" : ''; 
			$output .= ( isset( $get_eis->autoplay )  && !empty( $get_eis->autoplay ) ) ? 						"autoplay: ".$get_eis->autoplay.",\n" : ''; 
			$output .= ( isset( $get_eis->slideshow_interval )  && !empty( $get_eis->slideshow_interval ) ) ? 	"slideshow_interval: ".$get_eis->slideshow_interval.",\n" : ''; 
			$output .= ( isset( $get_eis->speed )  && !empty( $get_eis->speed ) ) ? 							"speed: ".$get_eis->speed.",\n" : ''; 
			$output .= ( isset( $get_eis->easing )  && !empty( $get_eis->easing ) ) ? 							"easing: '".$get_eis->easing."',\n" : ''; 
			$output .= ( isset( $get_eis->titles_factor )  && !empty( $get_eis->titles_factor ) ) ? 			"titlesFactor: ".$get_eis->titles_factor.",\n" : ''; 
			$output .= ( isset( $get_eis->titles_speed )  && !empty( $get_eis->titles_speed ) ) ? 				"titlesSpeed: ".$get_eis->titles_speed.",\n" : ''; 
			$output .= ( isset( $get_eis->titles_easing )  && !empty( $get_eis->titles_easing ) ) ? 			"titlesEasing: '".$get_eis->titles_easing."',\n" : ''; 
			$output .= ( isset( $get_eis->thumb_max_width )  && !empty( $get_eis->thumb_max_width ) ) ? 		"thumbMaxWidth: ".$get_eis->thumb_max_width.",\n" : ''; 

            $output .= '});'."\n";
        $output .= '});'."\n";
    $output .= '</script>'."\n";
		
	return $output;

}


?>